CVE-2016-1828

Published on: 05/20/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:05 PM UTC

CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Certain versions of Iphone Os from Apple contain the following vulnerability:

The kernel in Apple iOS before 9.3.2, OS X before 10.11.5, tvOS before 9.2.1, and watchOS before 2.2.1 allows attackers to execute arbitrary code in a privileged context or cause a denial of service (memory corruption) via a crafted app, a different vulnerability than CVE-2016-1827, CVE-2016-1829, and CVE-2016-1830.

  • CVE-2016-1828 has been assigned by [email protected] to track the vulnerability - currently rated as HIGH severity.

CVSS3 Score: 7.8 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
LOCAL LOW NONE REQUIRED
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 9.3 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK MEDIUM NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
COMPLETE COMPLETE COMPLETE

CVE References

Description Tags Link
About the security content of OS X El Capitan v10.11.5 and Security Update 2016-003 - Apple Support Vendor Advisory
support.apple.com
text/html
URL Logo CONFIRM support.apple.com/HT206567
Apple Mac OS X/watchOS/iOS/tvOS Multiple Security Vulnerabilities Third Party Advisory
VDB Entry
cve.report (archive)
text/html
URL Logo BID 90691
APPLE-SA-2016-05-16-2 iOS 9.3.2 Mailing List
Vendor Advisory
lists.apple.com
text/html
URL Logo APPLE APPLE-SA-2016-05-16-2
APPLE-SA-2016-05-16-4 OS X El Capitan 10.11.5 and Security Update 2016-003 Mailing List
Vendor Advisory
lists.apple.com
text/html
URL Logo APPLE APPLE-SA-2016-05-16-4
Apple iOS Multiple Flaws Let Remote Users Execute Arbitrary Code and Deny Service and Let Remote and Local Users Obtain Potentially Sensitive Information - SecurityTracker Third Party Advisory
VDB Entry
www.securitytracker.com
text/html
URL Logo SECTRACK 1035890
Apple - Lists.apple.com Mailing List
Vendor Advisory
lists.apple.com
text/html
URL Logo APPLE APPLE-SA-2016-05-16-1
About the security content of tvOS 9.2.1 - Apple Support Vendor Advisory
support.apple.com
text/html
URL Logo CONFIRM support.apple.com/HT206564
APPLE-SA-2016-05-16-3 watchOS 2.2.1 Mailing List
Vendor Advisory
lists.apple.com
text/html
URL Logo APPLE APPLE-SA-2016-05-16-3
About the security content of iOS 9.3.2 - Apple Support Vendor Advisory
support.apple.com
text/html
URL Logo CONFIRM support.apple.com/HT206568
About the security content of watchOS 2.2.1 - Apple Support Vendor Advisory
support.apple.com
text/html
URL Logo CONFIRM support.apple.com/HT206566

Exploit/POC from Github

Local privilege escalation for OS X 10.10.5 via CVE-2016-1828.

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
Operating
System
AppleIphone OsAllAllAllAll
Operating
System
AppleIphone OsAllAllAllAll
Operating
System
AppleMac Os XAllAllAllAll
Operating
System
AppleMac Os XAllAllAllAll
Operating
System
AppleTvosAllAllAllAll
Operating
System
AppleTvosAllAllAllAll
Operating
System
AppleWatchosAllAllAllAll
Operating
System
AppleWatchosAllAllAllAll
  • cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:tvos:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:tvos:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:watchos:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:watchos:*:*:*:*:*:*:*:*: